.language-float {

    position: fixed;

    right: 25px;

    bottom: 120px;

    z-index: 999;

    display: flex;

    flex-direction: column;

    gap: 12px;
}

.language-float img {

    width: 34px;

    height: 24px;

    border-radius: 4px;

    object-fit: cover;
}

.language-float a {

    position: relative;

    width: 58px;
    height: 58px;

    background: #fff;

    border-radius: 18px;

    display: flex;

    align-items: center;
    justify-content: center;

    text-decoration: none;

    font-size: 2rem;

    box-shadow:
        0 10px 25px rgba(0, 0, 0, .15);

    transition: all .3s ease;
}

.language-float a:hover {

    transform: translateX(-6px) scale(1.05);
}

.language-float a.active {

    border: 3px solid #555;

    box-shadow:
        0 10px 30px rgba(220, 20, 60, .25);
}

/* Tooltip */

.lang-name {

    position: absolute;

    right: 75px;

    top: 50%;

    transform: translateY(-50%) translateX(10px);

    background: #111827;

    color: #fff;

    padding: 10px 15px;

    border-radius: 12px;

    font-size: .9rem;

    font-weight: 600;

    white-space: nowrap;

    display: flex;

    align-items: center;

    gap: 8px;

    opacity: 0;

    visibility: hidden;

    transition: all .3s ease;
}

.lang-name i {

    color: #22c55e;

    font-size: 1rem;
}

.language-float a:hover .lang-name {

    opacity: 1;

    visibility: visible;

    transform: translateY(-50%) translateX(0);
}